# PCFieldSplitSetBlockSize

Sets the block size for defining where fields start in the fieldsplit preconditioner. If not set the matrix block size is used.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PETSCKSP_DLLEXPORT PCFieldSplitSetBlockSize(PC pc,PetscInt bs)

Collective on PC

### Input Parameters

| pc | - the preconditioner context
| bs | - the block size

### See Also

PCFieldSplitGetSubKSP(), PCFIELDSPLIT, PCFieldSplitSetFields()

Level:intermediate
Location: src/ksp/pc/impls/fieldsplit/fieldsplit.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages